## net.dontdrinkandroot.lastfm.api.queries
Class AbstractAuthenticatedGetQuery<T extends java.io.Serializable>

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.queries.AbstractQuery<T>
          net.dontdrinkandroot.lastfm.api.queries.AbstractAuthenticatedGetQuery<T>

All Implemented Interfaces:
  AuthenticatedGetQuery<T>, AuthenticatedQuery<T>, GetQuery<T>, Query<T>

    public abstract class AbstractAuthenticatedGetQuery<T extends java.io.Serializable>

extends AbstractQuery<T>
implements AuthenticatedGetQuery<T>

Constructor Summary
`AbstractAuthenticatedGetQuery(java.lang.String method)`

Method Summary

Methods inherited from class net.dontdrinkandroot.lastfm.api.queries.AbstractQuery
`addAdditionalParameters, addParameter, getMethod, getParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.dontdrinkandroot.lastfm.api.queries.Query
`addParameter, getMethod, getParameters, parse`

Constructor Detail

### AbstractAuthenticatedGetQuery

    public AbstractAuthenticatedGetQuery(java.lang.String method)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.